Get a Communication
curl --request GET \
--url https://api.virtuoussoftware.com/api/Communication/{communicationId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.virtuoussoftware.com/api/Communication/{communicationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/Communication/{communicationId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/Communication/{communicationId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);

const url = 'https://api.virtuoussoftware.com/api/Communication/{communicationId}';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"communicationId": 4500,
"name": "Year-End Campaign 2025 — Email 1",
"campaignId": 2011,
"campaignName": "Year-End Campaign 2025",
"channelType": "Email",
"communicationType": "Appeal",
"startDateTimeUtc": "2025-11-03T15:00:00Z",
"givingGoal": 75000,
"projectId": 1501,
"projectCode": "HM-2025",
"projectName": "Holiday Meals 2025",
"createDateTimeUtc": "2025-10-20T09:00:00Z",
"createdByUser": "Marketing Team",
"modifiedDateTimeUtc": "2025-11-03T15:05:00Z",
"modifiedByUser": "Marketing Team"
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Communications
Get a Communication
GET
/
api
/
Communication
/
{communicationId}
Get a Communication
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
(Required) The communication identifier.
Response
OK
The display name of the record.
The identifier of the project this record is designated to.
The UTC date and time the record was created.
The name of the user who created the record.
The UTC date and time the record was last modified.
The name of the user who last modified the record.
Last modified on July 24, 2026
Was this page helpful?
⌘I